> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Channel Health

> Monitor channel health and connectivity.

## Check channel health

`POST /api/channels/:id/health`

Check the health of a specific channel.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/channels/1/health \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "channelId": 1,
    "status": "healthy",
    "whatsappConnected": true,
    "tokenValid": true,
    "phoneNumberVerified": true,
    "lastActivityAt": "2026-01-15T14:00:00Z",
    "issues": []
  }
}
```

***

## Check all channels health

`POST /api/channels/health-check-all`

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/channels/health-check-all \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    { "channelId": 1, "status": "healthy", "issues": [] },
    { "channelId": 2, "status": "warning", "issues": ["Token expires in 3 days"] }
  ]
}
```

***

## Get messaging limit

`GET /api/channels/:id/messaging-limit`

```bash cURL theme={null}
curl https://zeplo.ai/api/channels/1/messaging-limit \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "tier": "TIER_250K",
    "dailyLimit": 250000,
    "sentToday": 15000,
    "remaining": 235000
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.